/**
 * Minify URLs.
 * Uses [`relateurl`](https://www.npmjs.com/package/relateurl).
 * `from` in options is required (which must be an absolute url to where the
 * file is hosted.
 * All other [options](https://www.npmjs.com/package/relateurl#options) are
 * passed through.
 *
 * @type {import('unified').Plugin<[Options?] | void[], Root>}
 */
export default function rehypeMinifyUrl(
  options: void | Options | undefined
):
  | void
  | import('unified').Transformer<import('hast').Root, import('hast').Root>
export type Root = import('hast').Root
export type RelateUrl = import('relateurl')
export type RelateOptions = import('relateurl').Options
export type MinifyOptions = {
  /**
   * Base URL of page.
   */
  from: string
}
export type Options = RelateOptions & MinifyOptions
