<!--This file is generated by `build-packages.js`-->

# rehype-minify-url

[![Build][build-badge]][build]
[![Coverage][coverage-badge]][coverage]
[![Downloads][downloads-badge]][downloads]
[![Size][size-badge]][size]
[![Sponsors][sponsors-badge]][collective]
[![Backers][backers-badge]][collective]
[![Chat][chat-badge]][chat]

Minify URLs.
Uses [`relateurl`](https://www.npmjs.com/package/relateurl).
`from` in options is required (which must be an absolute url to where the
file is hosted.
All other [options](https://www.npmjs.com/package/relateurl#options) are
passed through.

## Install

This package is [ESM only][esm]:
Node 12+ is needed to use it and it must be `imported`ed instead of `required`d.

[npm][]:

```sh
npm install rehype-minify-url
```

This package exports no identifiers.
The default export is `rehypeMinifyUrl`

## Use

On the API:

```diff
 import {unified} from 'unified'
 import rehypeParse from 'rehype-parse'
+import rehypeMinifyUrl from 'rehype-minify-url'
 import rehypeStringify from 'rehype-stringify'

 unified()
   .use(rehypeParse)
+  .use(rehypeMinifyUrl)
   .use(rehypeStringify)
   .process('<span>some html</span>', function (err, file) {
     console.error(report(err || file))
     console.log(String(file))
   })
```

On the CLI:

```sh
rehype input.html --use minify-url --output output.html
```

## Example

With `{ from: 'https://example.com' }` as options.

##### In

```html
<a href="/foo/../bar.html"></a>
```

##### Out

```html
<a href="bar.html"></a>
```

## Contribute

See [`contributing.md`][contributing] in [`rehypejs/.github`][health] for ways
to get started.
See [`support.md`][support] for ways to get help.

This project has a [code of conduct][coc].
By interacting with this repository, organization, or community you agree to
abide by its terms.

## License

[MIT][license] © [Titus Wormer][author]

[build-badge]: https://github.com/rehypejs/rehype-minify/workflows/main/badge.svg

[build]: https://github.com/rehypejs/rehype-minify/actions

[coverage-badge]: https://img.shields.io/codecov/c/github/rehypejs/rehype-minify.svg

[coverage]: https://codecov.io/github/rehypejs/rehype-minify

[downloads-badge]: https://img.shields.io/npm/dm/rehype-minify-url.svg

[downloads]: https://www.npmjs.com/package/rehype-minify-url

[size-badge]: https://img.shields.io/bundlephobia/minzip/rehype-minify-url.svg

[size]: https://bundlephobia.com/result?p=rehype-minify-url

[sponsors-badge]: https://opencollective.com/unified/sponsors/badge.svg

[backers-badge]: https://opencollective.com/unified/backers/badge.svg

[collective]: https://opencollective.com/unified

[chat-badge]: https://img.shields.io/badge/chat-discussions-success.svg

[chat]: https://github.com/rehypejs/rehype/discussions

[esm]: https://gist.github.com/sindresorhus/a39789f98801d908bbc7ff3ecc99d99c

[npm]: https://docs.npmjs.com/cli/install

[health]: https://github.com/rehypejs/.github

[contributing]: https://github.com/rehypejs/.github/blob/main/contributing.md

[support]: https://github.com/rehypejs/.github/blob/main/support.md

[coc]: https://github.com/rehypejs/.github/blob/main/code-of-conduct.md

[license]: https://github.com/rehypejs/rehype-minify/blob/main/license

[author]: https://wooorm.com
